curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "63a99eb0b8863d4d26678000",
"name": "Hold Config Name",
"onHoldMusic": {
"enabled": true,
"useDefault": false,
"fileAudioSource": {
"fileDescriptor": "eea6b505-6e67-420a-b1a2-2307fafb1124"
}
},
"announcementMessage": {
"audioSourceType": "TTS",
"ttsAudioSource": {
"text": "Hello this a text to speech message",
"language": "English",
"voice": {
"name": "Test",
"gender": "FEMALE"
},
"speechRate": 1,
"fileDescriptor": "eea6b505-6e67-420a-b1a2-2307fafb1125"
},
"fileAudioSource": {
"fileDescriptor": "eea6b505-6e67-420a-b1a2-2307fafb116"
},
"duration": {
"unit": [
"SECONDS",
"MINUTES",
"HOURS"
],
"value": 2
}
},
"default": false,
"enabled": true,
"queueIds": [
"FD80A6AA8E0DB8A5165276570943D8CF",
"A4BBE5D92667EEAB69860D457E877A59"
],
"createdAt": "2022-12-10T13:45:00.777+0000",
"updatedAt": "2022-12-10T13:45:00.777+0000"
}{
"status": "ERROR",
"message": "Hold configuration must be applied to at least one queue."
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"status": "ERROR",
"message": "No hold config found with id: 123"
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get hold configuration
Use this endpoint to get a single hold configuration by its id. More info.
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/hold-configs-per-queue/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "63a99eb0b8863d4d26678000",
"name": "Hold Config Name",
"onHoldMusic": {
"enabled": true,
"useDefault": false,
"fileAudioSource": {
"fileDescriptor": "eea6b505-6e67-420a-b1a2-2307fafb1124"
}
},
"announcementMessage": {
"audioSourceType": "TTS",
"ttsAudioSource": {
"text": "Hello this a text to speech message",
"language": "English",
"voice": {
"name": "Test",
"gender": "FEMALE"
},
"speechRate": 1,
"fileDescriptor": "eea6b505-6e67-420a-b1a2-2307fafb1125"
},
"fileAudioSource": {
"fileDescriptor": "eea6b505-6e67-420a-b1a2-2307fafb116"
},
"duration": {
"unit": [
"SECONDS",
"MINUTES",
"HOURS"
],
"value": 2
}
},
"default": false,
"enabled": true,
"queueIds": [
"FD80A6AA8E0DB8A5165276570943D8CF",
"A4BBE5D92667EEAB69860D457E877A59"
],
"createdAt": "2022-12-10T13:45:00.777+0000",
"updatedAt": "2022-12-10T13:45:00.777+0000"
}{
"status": "ERROR",
"message": "Hold configuration must be applied to at least one queue."
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"status": "ERROR",
"message": "No hold config found with id: 123"
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the Hold Configuration to get.
Response
OK
Hold configuration name.
1 - 128Specifies which queues is the given hold config applied to. Empty list is supported for default config.
Specifies which queues is the given hold config applied to. Empty list is supported for default config.
Unique id of the hold configuration.
File audio source information.
Show child attributes
Show child attributes
File audio source or TTS audio source information with repeat interval.
Show child attributes
Show child attributes
"2022-12-10T13:45:00.777+0000"
"2022-12-10T13:45:00.777+0000"